//   RW Beauty
// ==============
// Aesthetics Appreciation & Creativity Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/beauty/beauty.hpp
// -Declarations of the baseline RW Beauty sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
/**
 */
class Beauty_b : public RW {
 public:
  Beauty_b();                                    // default ctor
  explicit Beauty_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Beauty : public Beauty_b {
 public:
  Beauty();                                    // default ctor
  explicit Beauty(std::string const& handle);  // tag-parm'd ctor

  inline auto design() const -> Design& { return design_; }

 private:
  unique_ptr<Design_b> _design_{make_unique<Design_b>("beauty_design")};

  Design& design_{reference_to<Design>(_design_.get())};
};

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220108
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
