//   RW Catalog
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/curator/bumpmaster/catalog.hpp
// -Declarations of the baseline RW Catalog sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::bumpmaster {

//------------------------------------------------------------------------------
/**
 */
class Catalog_b : public RW_slave {
 public:
  Catalog_b(Hip const& tag, std::string const& handle);  // tag-parm'd ctor

  auto parse_threads(Hip const& tag) -> int;  // guarded; for Master only
  auto have_new(Hip const& tag) -> bool;      //  "

 private:
  Catalog_b() = delete;  // no default ctor
};

//------------------------------------------------------------------------------
/**
 */
class Catalog : public Catalog_b {
 private:
  Catalog() = delete;  // no default ctor
};

}  // namespace rw::curator::bumpmaster

//    --=^=--

// "______"

// rw_curator_lib.v220108
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
